Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IElementTypeRegistryListener

    public interface IElementTypeRegistryListener

Interface implemented by clients wishing to know when element types are added to the element type registry.

Method Summary
`void` `elementTypeAdded(ElementTypeAddedEvent elementTypeAddedEvent)` Notifies listeners that the new element type has been added to the element type registry.

Method Detail

### elementTypeAdded

    void elementTypeAdded(ElementTypeAddedEvent elementTypeAddedEvent)

  Notifies listeners that the new element type has been added to the element type registry.

  Parameters:
    `elementTypeAddedEvent` - the event

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.